0

I'm new to patching and I need to install this patch https://dev.openwrt.org/browser/trunk/package/kernel/mac80211/patches/rev=39442

This is supposed to patch backports-3.15.1-1 package

As you can see it patches three files, drivers/net/wireless/ath/regd.c, drivers/net/wireless/ath/Kconfig and .local-symbols

I tried patch -Np5 -i 403-ath_regd_optional.patch and patch -i 403-ath_regd_optional.patch and I get the same error

can't find file to patch at input line 3

Perhaps you should have used the -p or --strip option?

The text leading up to this was:

|--- a/drivers/net/wireless/ath/regd.c

|+++ b/drivers/net/wireless/ath/regd.c

File to patch:

However, if I entered the exact same file (i.e. drivers/net/wireless/ath/regd.c) it works

Why is that happening?


UPDATE

I manually updated the files and replaced the old ones

0

Syntax for patching a package is:

sudo patch `which [NAME OF THE PACKAGE]` < [DIRECTORY OF THE PATCH FILE]/[PATCH FILE NAME].patch

Example:

sudo patch `which webcamstudio` < ~Downloads/diff_webcamstudio_uname.patch
  • So, in my case it should be sudo patch 403-ath_regd_optional < 403-ath_regd_optional.patch if I'm in the same directory? – loo3y35 Jul 13 '14 at 7:02
  • I included it in answer. there should be `` marks. also which is needed. – user308564 Jul 13 '14 at 7:05
  • you need to patch backports-3.15.1-1 package. isnt it? if so, the command is defferent. package name should be backports-3.15.1-1 – user308564 Jul 13 '14 at 7:08
  • Still, same errors – loo3y35 Jul 13 '14 at 7:13

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.